<?php
include('../common.php');

$callback = $_REQUEST['callback'];
$pwd =$_REQUEST['pwd'];
$sql = "select * from ".tname("appmaker_password") ;
$list = $_TD->FM($sql);

if ($list[0]['password'] != $pwd){
	$arr = array(
		'returncode' => 100,
		'reason' => '密码错误',
		'site_type' => 'dianying_maccms'
	);
 
}else{
	

	$arr = array(
		'site_email' => $_TC['site_email'],
		'site_name' => $_TC['site_name'],
		'site_description' => $_TC['site_description'],
		'site_url' => $_TC['site_url'],
		'site_keywords' => $_TC['site_keywords'],
		'returncode' => 200,
		'site_type' => 'dianying_maccms',
		'reason' => 'OK'
	);
}


$ret = json_encode ($arr);

if ($callback!=''){
	$ret = $callback."(".$ret.")";
}

echo $ret;


?>